Name:           swaybg
Version:        1.2.1
Release:        %mkrel 1
Summary:        Wallpaper tool for Wayland compositors
Group:          Graphical desktop/Other
License:        MIT
URL:            https://github.com/swaywm/swaybg
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

# Swaybg was part of sway before sway 1.1
Conflicts:      sway < 1.1

BuildRequires:  gcc
BuildRequires:  meson >= 0.48.0
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14
# Man page compilation
BuildRequires:  scdoc

%description
Wallpaper tool for Wayland compositors.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/swaybg
%{_mandir}/man1/swaybg.1*


%changelog
* Sun Jun 16 2024 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2074522
- new version: 1.2.1

* Tue Feb 21 2023 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1944511
- new version: 1.2.0

* Mon Dec 12 2022 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1921191
- new version: 1.1.1

* Wed Mar 30 2022 umeabot <umeabot> 1.0-2.mga9
+ Revision: 1834716
- Mageia 9 Mass Rebuild

* Fri Oct 02 2020 shlomif <shlomif> 1.0-1.mga8
+ Revision: 1631820
- from fedora


* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 10 2019 Jan StanÄ›k <jstanek@redhat.com> - 1.0-1
- Initial package
